namespace Managing.Infrastructure.Evm.Abstractions
{
    public interface IWeb3ProxyService
    {
        Task<T> CallPrivyServiceAsync<T>(string endpoint, object payload);
        Task<T> GetPrivyServiceAsync<T>(string endpoint, object payload = null);
        Task<T> CallGmxServiceAsync<T>(string endpoint, object payload);
        Task<T> GetGmxServiceAsync<T>(string endpoint, object payload = null);
    }
}